---
features:
  secondary:
  - name: "DAST analyzer updates"
    available_in: [ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dast/checks/'
    reporter: smeadzinger
    stage: application_security_testing
    categories:
    - DAST
    epic_url: https://gitlab.com/groups/gitlab-org/-/epics/11426
    description: |
      During the 16.5 release milestone, we enabled the following active checks for browser-based DAST by default:

      - Check 78.1 replaces ZAP check 90020 and identifies command injection, which can be exploited by executing arbitrary OS commands on the target application server.  This is a critical vulnerability that can lead to a full system compromise.
      - Check 611.1 replaces ZAP check 90023 and identifies External XML Entity Injection (XXE), which can be exploited by causing an application's XML parser to include external resources.
      - Check 94.4 replaces ZAP check 90019 and identifies "Server-side code injection (NodeJS)", which can be exploited by injecting arbitrary JavaScript code to be executed on the server.
      - Check 113.1 replaces ZAP check 40003 and identifies "Improper Neutralization of CRLF Sequences in HTTP Headers ('HTTP Response Splitting')", which can be exploited by inserting Carriage Return / Line Feed (CRLF) characters to inject arbitrary data into HTTP responses.
